Bug 858048 - Fedora 17 kickstart tree is not correctly synced
Fedora 17 kickstart tree is not correctly synced
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
2.0.6
Unspecified Unspecified
high Severity medium
: ---
: Sprint 42
Assigned To: Pradeep Kilambi
Preethi Thomas
: Triaged
Depends On: 856970
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 16:57 EDT by Jason E. Rist
Modified: 2013-02-26 23:18 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 856970
Environment:
Last Closed: 2013-01-09 12:04:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Jay Dobies 2012-11-27 15:50:57 EST
Preethi - Please make sure this works in the 2.0 betas.
Comment 2 Preethi Thomas 2012-11-28 09:09:59 EST
Looks like this is happening in v2 as well. moving back to assigned
[root@preethi ~]# rpm -q pulp-server
pulp-server-2.0.6-0.9.beta.noarch
[root@preethi ~]# 

[root@preethi ~]# cat /var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/.treeinfo
[general]
family = Fedora
timestamp = 1337720130.41
variant = Fedora
version = 17
packagedir = 
arch = x86_64

[stage2]
mainimage = LiveOS/squashfs.img

[images-x86_64]
kernel = images/pxeboot/vmlinuz
initrd = images/pxeboot/initrd.img
boot.iso = images/boot.iso

[images-xen]
kernel = images/pxeboot/vmlinuz
initrd = images/pxeboot/initrd.img

[checksums]
images/boot.iso = sha256:798c9340e8e9b741a905b862eb5f469254f0582143c3c2ab7bf83c6aaa955ecf
images/macboot.img = sha256:d24b852f963bddd80ad5592ffe87bd3476be2b07122c75e7177f6bfcc6df8371
images/efiboot.img = sha256:de87d47a4fcb1a51ef5d41cbe3a268b1102a96a3301de769055815bc3d9b8d89
images/pxeboot/initrd.img = sha256:2125df6b5eeb983edc5aa24096af24c5685935fbb5ff78b93dc32cfc6e23620d
images/pxeboot/vmlinuz = sha256:7d76828777c457bd3b3f6812fceb9ba6aaaf45572a5e4cc7f19d2e674e503f95
repodata/repomd.xml = sha256:bdbf93f3cf5699f3c1535d6274d336d004c860d2b97f1597f176d44131190f92

[root@preethi ~]# 


[root@preethi ~]# find /var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/images/
/var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/images/
/var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/images/efiboot.img
/var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/images/macboot.img
/var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/images/boot.iso
/var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/images/pxeboot
/var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/images/pxeboot/initrd.img
/var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/images/pxeboot/vmlinuz
[root@preethi ~]# 

[root@preethi ~]# find /var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/LiveOS/
find: `/var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/LiveOS/': No such file or directory
[root@preethi ~]#
Comment 3 Pradeep Kilambi 2012-11-28 13:17:13 EST
commit 447599c8482dceda8794ce144ed2215833e788c7
Author: Pradeep Kilambi <pkilambi@redhat.com>
Date:   Wed Nov 28 13:15:00 2012 -0500

    858048 - Fix the distro sync to look for stage2 section for mainimage
Comment 4 Pradeep Kilambi 2012-11-28 13:17:53 EST
Need to spin a new grinder for this.
Comment 5 Pradeep Kilambi 2012-11-28 14:32:49 EST
the fix is in grinder 0.1.7-1
Comment 6 Jeff Ortel 2012-11-29 16:30:03 EST
build: 2.0.6-0.10.beta
Comment 7 Preethi Thomas 2012-11-30 10:53:01 EST
[root@preethi ~]# rpm -q grinder
grinder-0.1.8-1.fc17.noarch
[root@preethi ~]# rpm -q pulp-server
pulp-server-2.0.6-0.11.beta.noarch
[root@preethi ~]# cat /var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/.treeinfo
[general]
family = Fedora
timestamp = 1337720130.41
variant = Fedora
version = 17
packagedir = 
arch = x86_64

[stage2]
mainimage = LiveOS/squashfs.img

[images-x86_64]
kernel = images/pxeboot/vmlinuz
initrd = images/pxeboot/initrd.img
boot.iso = images/boot.iso

[images-xen]
kernel = images/pxeboot/vmlinuz
initrd = images/pxeboot/initrd.img

[checksums]
images/boot.iso = sha256:798c9340e8e9b741a905b862eb5f469254f0582143c3c2ab7bf83c6aaa955ecf
images/macboot.img = sha256:d24b852f963bddd80ad5592ffe87bd3476be2b07122c75e7177f6bfcc6df8371
images/efiboot.img = sha256:de87d47a4fcb1a51ef5d41cbe3a268b1102a96a3301de769055815bc3d9b8d89
images/pxeboot/initrd.img = sha256:2125df6b5eeb983edc5aa24096af24c5685935fbb5ff78b93dc32cfc6e23620d
images/pxeboot/vmlinuz = sha256:7d76828777c457bd3b3f6812fceb9ba6aaaf45572a5e4cc7f19d2e674e503f95
repodata/repomd.xml = sha256:bdbf93f3cf5699f3c1535d6274d336d004c860d2b97f1597f176d44131190f92

[root@preethi ~]# 
[root@preethi ~]# 
[root@preethi ~]# 
[root@preethi ~]# find /var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/LiveOS/
/var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/LiveOS/
/var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/LiveOS/squashfs.img
[root@preethi ~]# 
[root@preethi ~]# 
[root@preethi ~]# find /var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/images/
/var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/images/
/var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/images/efiboot.img
/var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/images/macboot.img
/var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/images/boot.iso
/var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/images/pxeboot
/var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/images/pxeboot/initrd.img
/var/lib/pulp/working/repos/fedora17/importers/yum_importer/fedora17/images/pxeboot/vmlinuz
[root@preethi ~]#
Comment 8 Preethi Thomas 2013-01-09 12:04:22 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.